Package org.jbpm.compiler.xml.processes

## Class ForEachNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.compiler.xml.processes.AbstractNodeHandler
    - - org.jbpm.compiler.xml.processes.CompositeNodeHandler
      - - org.jbpm.compiler.xml.processes.ForEachNodeHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`

      public class ForEachNodeHandler
      extends CompositeNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `EOL`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForEachNodeHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode()` |
    `Class` | `generateNodeFor()` |
    `protected Map<String,​CompositeNode.NodeAndType>` | `getInPorts​(CompositeNode compositeNode)` |
    `protected String` | `getNodeName()` |
    `protected Map<String,​CompositeNode.NodeAndType>` | `getOutPorts​(CompositeNode compositeNode)` |
    `protected List<org.kie.api.definition.process.Connection>` | `getSubConnections​(CompositeNode compositeNode)` |
    `protected List<Node>` | `getSubNodes​(CompositeNode compositeNode)` |
    `protected void` | `handleNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `writeAttributes​(CompositeNode compositeNode, StringBuilder xmlDump, boolean includeMeta)` |

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.CompositeNodeHandler

      `allowNesting, writeNode`

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `containsMetaData, end, endNode, endNode, extractAction, handleAction, initValidParents, initValidPeers, start, writeAction, writeActions, writeMetaData, writeNode, writeTimers`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### ForEachNodeHandler

          public ForEachNodeHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Overrides:
        `createNode` in class `CompositeNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

      Specified by:
        `generateNodeFor` in interface `org.drools.core.xml.Handler`
      Overrides:
        `generateNodeFor` in class `CompositeNodeHandler`

    - #### getNodeName

          protected String getNodeName()

      Overrides:
        `getNodeName` in class `CompositeNodeHandler`

    - #### writeAttributes

          protected void writeAttributes​(CompositeNode compositeNode,
                                         StringBuilder xmlDump,
                                         boolean includeMeta)

      Overrides:
        `writeAttributes` in class `CompositeNodeHandler`

    - #### getSubNodes

          protected List<Node> getSubNodes​(CompositeNode compositeNode)

      Overrides:
        `getSubNodes` in class `CompositeNodeHandler`

    - #### getSubConnections

          protected List<org.kie.api.definition.process.Connection> getSubConnections​(CompositeNode compositeNode)

      Overrides:
        `getSubConnections` in class `CompositeNodeHandler`

    - #### getInPorts

          protected Map<String,​CompositeNode.NodeAndType> getInPorts​(CompositeNode compositeNode)

      Overrides:
        `getInPorts` in class `CompositeNodeHandler`

    - #### getOutPorts

          protected Map<String,​CompositeNode.NodeAndType> getOutPorts​(CompositeNode compositeNode)

      Overrides:
        `getOutPorts` in class `CompositeNodeHandler`

    - #### handleNode

          protected void handleNode​(Node node,
                                    Element element,
                                    String uri,
                                    String localName,
                                    org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Overrides:
        `handleNode` in class `AbstractNodeHandler`
      Throws:
        `SAXException`